Submit a filed document
curl --request POST \
--url https://api.platform.arb.inc/filings/documents/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"caseID": "2025-08-00125",
"filingID": "8"
}
'import requests
url = "https://api.platform.arb.inc/filings/documents/submit"
payload = {
"caseID": "2025-08-00125",
"filingID": "8"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({caseID: '2025-08-00125', filingID: '8'})
};
fetch('https://api.platform.arb.inc/filings/documents/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.platform.arb.inc/filings/documents/submit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'caseID' => '2025-08-00125',
'filingID' => '8'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.platform.arb.inc/filings/documents/submit"
payload := strings.NewReader("{\n \"caseID\": \"2025-08-00125\",\n \"filingID\": \"8\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.platform.arb.inc/filings/documents/submit")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"caseID\": \"2025-08-00125\",\n \"filingID\": \"8\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.platform.arb.inc/filings/documents/submit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"caseID\": \"2025-08-00125\",\n \"filingID\": \"8\"\n}"
response = http.request(request)
puts response.read_bodyDocument successfully submitteddocument not founddocument cannot be submitted because it's already been added to the docketdocument is already submitted for approvalYou are registered as an observer and cannot file documents in this casedocument not allowed in this phasefilings
Submit a filed document
Sends a filed document for approval in a case.
POST
/
filings
/
documents
/
submit
Submit a filed document
curl --request POST \
--url https://api.platform.arb.inc/filings/documents/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"caseID": "2025-08-00125",
"filingID": "8"
}
'import requests
url = "https://api.platform.arb.inc/filings/documents/submit"
payload = {
"caseID": "2025-08-00125",
"filingID": "8"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({caseID: '2025-08-00125', filingID: '8'})
};
fetch('https://api.platform.arb.inc/filings/documents/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.platform.arb.inc/filings/documents/submit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'caseID' => '2025-08-00125',
'filingID' => '8'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.platform.arb.inc/filings/documents/submit"
payload := strings.NewReader("{\n \"caseID\": \"2025-08-00125\",\n \"filingID\": \"8\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.platform.arb.inc/filings/documents/submit")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"caseID\": \"2025-08-00125\",\n \"filingID\": \"8\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.platform.arb.inc/filings/documents/submit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"caseID\": \"2025-08-00125\",\n \"filingID\": \"8\"\n}"
response = http.request(request)
puts response.read_bodyDocument successfully submitteddocument not founddocument cannot be submitted because it's already been added to the docketdocument is already submitted for approvalYou are registered as an observer and cannot file documents in this casedocument not allowed in this phaseAuthorizations
access token
Body
application/json
Response
Document submitted.
The response is of type string.
Example:
"Document successfully submitted"